summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-03-09 03:09:46 +0100
committerMichał Górny <mgorny@gentoo.org>2026-03-09 04:04:04 +0100
commitabf2abe8a8de06557cd14b481cd8040b9da97163 (patch)
treecec7e43bc545750ffb73f45c7cb496c0039a6554 /dev-python
parent7e80222568b259163ec1fb1cb174e5ab821ee4c9 (diff)
downloadgentoo-abf2abe8a8de06557cd14b481cd8040b9da97163.tar.gz
gentoo-abf2abe8a8de06557cd14b481cd8040b9da97163.tar.bz2
gentoo-abf2abe8a8de06557cd14b481cd8040b9da97163.zip
dev-python/moto: Bump to 5.1.22
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/moto/Manifest2
-rw-r--r--dev-python/moto/moto-5.1.22.ebuild114
2 files changed, 116 insertions, 0 deletions
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index d5698751ea63..2e1155b7c18b 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -9,3 +9,5 @@ DIST moto-5.1.20.tar.gz 8318716 BLAKE2B e5079f84aeb87da3e3212c65ee24710b35c02baa
DIST moto-5.1.20.tar.gz.provenance 9149 BLAKE2B 727557787b4e2eeca3c0f0b0bde894495cda7fa860125a7b2de2a06c6653f46499135d0c3b93e5d492059d83f47bda213963f2ea25221d1468fa3a9516276214 SHA512 3cfd65d60a9054dd4f5d0d2dbf492cc82d419673d10965e7f69127296a7b5d6b63ac7570dc5a8ad24a44e128710db4fe91ea3e1eca0e3f0dddeba3a0cd93e439
DIST moto-5.1.21.tar.gz 8441171 BLAKE2B 3028e81de5f4797223789d8e907084abe752292637c85c8f27f2c0fff1f03c40e4e3f2412814960f997dc943a8675184f42daf83943ecf2532bc685c0de0e5a2 SHA512 87514f7ed6e7705e5d98b60a7a9e55c7a4fca1befc8f94507a0e73b77eb0ef04b83e2e21eb0328f5b15c6555571a2eaf81d9e20069fb37e7aa045b6e14bfb09a
DIST moto-5.1.21.tar.gz.provenance 9192 BLAKE2B 65ffb7dff7b5ca97c3b2042882ae6cdfea573dc2d8f76cb4dfb35d00696d7338280e9fc87acc2ab1c1665fb0c8108171a5974494d95f842ae1d9f1f0e1011cd7 SHA512 743d87261166eec76b54fe35491b1925617b6daa1439b5240eb6cf70551597c8f6f0bde30c2120e8f7b689b4b8698a5c955def61ecbcc08c2602f2ac9d3700a9
+DIST moto-5.1.22.tar.gz 8547792 BLAKE2B fda4ea90318a1eb8501ed29b2c6cc23c0779c9cc6eaea41b4cceadd1cbf7b97ccc8aa06a1073e29d8b4838b55be31a4508bca56f4ceaa543781646e62501069a SHA512 6f5b9354e8ec7a51bb86b4a7ec45ec2af4f7cfbef190c449318ba3be64a2975fa31c520161f6ad0da21599dbe6785a83d9fd18d3aa5dd1710d018c10fe231eaf
+DIST moto-5.1.22.tar.gz.provenance 9052 BLAKE2B 50c2c73d5a6afac0c84c333ddbc00370e83d5dd713af7ee1c412c8f11a50922b1ace8ec79aee35465a840a7754b313c61d9baf47c44933e99cc95f3bf2172fdd SHA512 a9800117bf73b7d51d795732f0589c2e217187465322a20614fcc3fdfbdbcf0d682613dcae3d826c01e2beb672af43f62458d36f0c2d155e87ab8d5a259458c4
diff --git a/dev-python/moto/moto-5.1.22.ebuild b/dev-python/moto/moto-5.1.22.ebuild
new file mode 100644
index 000000000000..6f773fdfea44
--- /dev/null
+++ b/dev-python/moto/moto-5.1.22.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/getmoto/moto
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="
+ https://github.com/getmoto/moto/
+ https://pypi.org/project/moto/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-0.93[${PYTHON_USEDEP}]
+ dev-python/boto3[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.35.47[${PYTHON_USEDEP}]
+ >=dev-python/cfn-lint-0.40.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-35.0.0[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ >=dev-python/docker-3.0.0[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-2.10.1[${PYTHON_USEDEP}]
+ dev-python/jsonpath-ng[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.5.0[${PYTHON_USEDEP}]
+ dev-python/pyaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.25.6[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/sshpubkeys[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/antlr4-python3-runtime[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+: "${EPYTEST_TIMEOUT:=180}"
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_dynamodb/test_dynamodb_import_table.py
+ # require joserfc
+ tests/test_apigateway/test_apigateway.py::test_create_authorizer
+ tests/test_apigateway/test_apigateway.py::test_delete_authorizer
+ tests/test_apigateway/test_apigateway.py::test_update_authorizer_configuration
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserDeleter::test_authenticate_with_signed_out_user
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserPoolDuplidateEmails::test_use_existing_email__when_email_is_
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserPoolDuplidateEmails::test_use_existing_email__when_username_
+ tests/test_cognitoidp/test_cognitoidp_replay.py::TestCreateUserPoolWithPredeterminedID::test_different_seed
+ tests/test_cognitoidp/test_cognitoidp_replay.py::TestCreateUserPoolWithPredeterminedID::test_same_seed
+ tests/test_cognitoidp/test_server.py::test_admin_create_user_without_authentication
+ tests/test_cognitoidp/test_server.py::test_associate_software_token
+ tests/test_cognitoidp/test_server.py::test_sign_up_user_without_authentication
+ # require py_partiql_parser
+ tests/test_dynamodb/test_dynamodb_statements.py
+ tests/test_s3/test_s3_select.py
+ # require graphql
+ tests/test_appsync/test_appsync_schema.py
+ # Internet
+ tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_entire_service
+ tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_specific_url
+ tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_wildcard_urls
+ tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
+ tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ )
+ local EPYTEST_IGNORE=(
+ # require joserfc
+ tests/test_cognitoidp/test_cognitoidp.py
+ )
+
+ if ! tc-has-64bit-time_t; then
+ einfo "time_t is smaller than 64 bits, will skip broken tests"
+ EPYTEST_DESELECT+=(
+ tests/test_acm/test_acm.py::test_request_certificate_with_optional_arguments
+ tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header
+ tests/test_s3/test_server.py::test_s3_server_post_cors_multiple_origins
+ )
+ EPYTEST_IGNORE+=(
+ tests/test_route53domains/test_route53domains_domain.py
+ )
+ fi
+
+ local -x TZ=UTC
+ local -x AWS_DEFAULT_REGION=us-east-1
+
+ epytest -m 'not network and not requires_docker'
+}